function [ masks ] = Compute_masks(Coordx, Coordy, NbCellule, w, h)
%This function returns the regions of interest, here the cells of the image, 
%in a binary form, that is, putting the value one to the pixels inside the cell,
%and zero otherwise, knowing their coordinates, the number of delimited regions 
%(cells in this case) and the dimensions of the image. The coordinates are 
%given on a matrix form, such that each column corresponds to a different
%cell.

masks = cell(NbCellule,1);
for j = 1:NbCellule;
    x=Coordx(:,j)';
    xcorr=x(isnan(x)==0);
    y=Coordy(:,j)';
    ycorr=y(isnan(y)==0);
    masks{j} = poly2mask(xcorr, ycorr, w, h);
end
end

