function imageShow = imageAlignementShow(Irotated, BWrotated, BWtemplate,imageAlignment)
                       
    R = 50;
    radius = 8;
    
    [Mi,Ni] = size(Irotated);
    
    xoffset = imageAlignment.x_offset;
    yoffset = imageAlignment.y_offset;
    x_center = imageAlignment.x_center;
    y_center = imageAlignment.y_center;
    x_shift = imageAlignment.x_shift;
    y_shift = imageAlignment.y_shift;
    
    indImage = gray2ind(imadjust(Irotated));
    colorImage = ind2rgb(indImage,gray);
    [a,b] = find(BWtemplate==1);
    a_corrected = a + yoffset+1;
    b_corrected = b + xoffset+1;
    for j=1:numel(a)
        if a_corrected(j) > 0 && a_corrected(j) < Mi && b_corrected(j) > 0 && b_corrected(j) < Ni
            colorImage(a_corrected(j),b_corrected(j),1) = 0;
            colorImage(a_corrected(j),b_corrected(j),2) = 0.6;
            colorImage(a_corrected(j),b_corrected(j),3) = 0.4;
        end
    end
    
    if ~isempty(BWrotated)
        [a,b] = find(BWrotated==1);
        for j=1:numel(a)
            colorImage(a(j),b(j),1) = 1;
        end
    end

    % Plot center
    for r = 0:R-1
        x = [x_center + round(radius*cos(r/R*2*pi)) x_center + round((radius+2)*cos(r/R*2*pi))];
        y = [y_center + round(radius*sin(r/R*2*pi)) y_center + round((radius+2)*sin(r/R*2*pi))];
        colorImage(y,x,1) = 1;
        colorImage(y,x,2) = 1;
        colorImage(y,x,3) = 0;
    end
    
    % Plot shift
    for r = 0:R-1
        x = [x_center + x_shift + round(radius*cos(r/R*2*pi)) x_center + x_shift + round((radius+2)*cos(r/R*2*pi))];
        y = [y_center + y_shift + round(radius*sin(r/R*2*pi)) y_center + y_shift + round((radius+2)*sin(r/R*2*pi))];
        colorImage(y,x,1) = 1;
        colorImage(y,x,2) = 0;
        colorImage(y,x,3) = 1;
    end
           
    %figure, imshow(colorImage,'Border','Tight');
    imageShow = colorImage;