function [totValue, featsName] = nd_analyzeImage(Epi,CoordX,CoordY)

%lowest pixel fraction for bg calculation -> 5%
pcSub = 0.05; 
pcNorm = 0.05;

totValue = [];
[nbCoord nbCellule]=size(CoordX);

%Computation of features
[w h]=size(Epi);
masks = Compute_masks(CoordX, CoordY, nbCellule, w, h);

for i = 1:nbCellule
    img = tz_imcropbg2(Epi,masks{i});
    maskCell = tz_imcropbg2(masks{i},masks{i});
    subImage = nd_bgSub(img,maskCell,pcSub);
    procImage = nd_normalizeImage(subImage,maskCell,pcNorm);
%     figure(1), clf,
%         subplot(1,2,1), imshow(imadjust(img));
%         subplot(1,2,2), imshow(imadjust(uint8(procImage)));
    [featsName, featsValue]  = nd_features_smallSet(procImage, maskCell);
    totValue = [totValue; featsValue];
    
end


end

