function feature = nd_geometryFeat(I,mask)

[regionWidth, regionHeight] = size(I);

% Inorm = ceil(mat2gray(I)*256); -> already normalized
% Inorm(Inorm == 0) = 1;

meanFluo = mean(I(mask == 1));

xCenter = ceil(regionHeight/2);
yCenter = ceil(regionWidth/2);

b = floor(regionWidth/6);
a = floor(regionHeight/6);

t = 0:0.2:2*pi;
x = cos(t);
y = sin(t);
% plot(x,y); axis equal;

x1 = round(1.5*a*x) + xCenter;
y1 = round(1.5*b*y) + yCenter;

x2 = round(2.5*a*x) + xCenter;
y2 = round(2.5*b*y) + yCenter;

x3 = round(3.5*a*x) + xCenter;
y3 = round(3.5*b*y) + yCenter;

% plot(x1,y1), hold on;
% plot(x2,y2);
% plot(x3,y3);

x3(x3 < 1) = 1; x3(x3>regionWidth) = regionWidth;
y3(y3 < 1) = 1; y3(y3>regionWidth) = regionWidth;

% plot(x3,y3,'r'), axis equal;
% imshow(imadjust(uint8(I)));
% line(x3,y3,'Color','b');
% line(x2,y2,'Color','g');
% line(x1,y1,'Color','r');

reg1 = poly2mask(x1,y1,regionWidth,regionHeight);
reg2 = poly2mask(x2,y2,regionWidth,regionHeight);
reg3 = poly2mask(x3,y3,regionWidth,regionHeight);

pix1 = find(reg1 == 1);
pix2 = find((reg1 == 0).*(reg2 == 1));
pix3 = find((reg2 == 0).*(reg2 == 0).*(reg3 == 1));

mean1 = mean(I(pix1))/meanFluo;
mean2 = mean(I(pix2))/meanFluo;
mean3 = mean(I(pix3))/meanFluo;

feature = [mean1 mean2 mean3];

end


