function nd_scPlot(data,option)

% option: 1 -> only selected points
%         2 -> all and selected points
%         3 -> outliers and selected points
%         4 -> all, outliers and selected points

hold on;
maxScale = 1.05;
minScale = 0.9;
textShift = [0.2 0.95];
T = numel(data.timing);
Nswitch = numel(data.switchTiming);

yMax = 0; yMin = 16000;
for t=1:T
    if option == 2 || option == 4
        plot(data.timing(t),data.frame(t).all,' oc','MarkerSize',3);
        if yMax < max(data.frame(t).all), yMax = max(data.frame(t).all); end
        if yMin > min(data.frame(t).all), yMin = min(data.frame(t).all); end
    end
    if size(data.frame(t).selected,1) > 0, plot(data.timing(t),data.frame(t).selected,' ob','MarkerSize',3); end
    if yMax < max(data.frame(t).selected), yMax = max(data.frame(t).selected); end
    if yMin > min(data.frame(t).selected), yMin = min(data.frame(t).selected); end
    if option ==3 ||option ==4
        if size(data.frame(t).out,1) > 0, plot(data.timing(t),data.frame(t).out,' om','MarkerSize',3); end
        if yMax < max(data.frame(t).out), yMax = max(data.frame(t).out); end
        if yMin > max(data.frame(t).out), yMin = max(data.frame(t).out); end
    end
end
yMax = yMax * maxScale;
if yMin < 0, yMin = 0; end
yMin = yMin * minScale;
for n = 2:Nswitch
    plot([data.switchTiming(n) data.switchTiming(n)],[0 yMax],':k','LineWidth',2);
    if strcmp(data.condition{n},'sc') == 0
        text(data.switchTiming(n)+textShift(1),yMin+textShift(2)*(yMax-yMin),data.condition{n});
    end
end
plot(data.timing,data.mean,'r','LineWidth',2);
plot(data.timing,data.mean+data.std,'g','LineWidth',2);
plot(data.timing,data.mean-data.std,'g','LineWidth',2);
axis([0 max(data.timing) yMin yMax]);
set(gca,'lineWidth',2,'FontSize',12);
xlabel(data.xLabel,'FontSize',12);
ylabel(data.yLabel,'FontSize',12);
title(data.title,'FontSize',12);

